import java.awt.*;
import java.awt.event.*;

public class PlayingBoard extends DBCanvas implements MouseListener {
    public int SIZE;
    public Complex cen;
    public PolyFlip P;
    public PlayingBoard(int SIZE) {
       this.SIZE=SIZE;
       Color[] C=new Color[10];
       C[0]=Color.cyan;
       C[1]=Color.red;
       C[2]=Color.yellow;
       C[3]=Color.magenta;
       C[4]=Color.orange;
       cen=new Complex();
       cen.x=20*SIZE;
       cen.y=20*SIZE;
       P=new PolyFlip(0.0,40.0,1,5,cen,0,1,0,C);
       addMouseListener(this);
    }

    
   public void paint(Graphics g) {  
      P.render(g,Color.white);
   }

    public void mousePressed(MouseEvent e) {}
    public void mouseReleased(MouseEvent e) {}
    public void mouseEntered(MouseEvent e) {}
    public void mouseExited(MouseEvent e) {}
    public void mouseClicked(MouseEvent e) {
    Point y=new Point();
    e.consume();
    y.x=e.getX();
    y.y=e.getY();
    if(P.inside(y)>=0) P=P.flip(P.inside(y));
    repaint();
    }
}
